OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.TransposeMatrix

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBTransposeMatrix :: MonadIO m => m Bool
- gl_ARB_transpose_matrix :: Bool
- pattern GL_TRANSPOSE_COLOR_MATRIX_ARB :: GLenum
- pattern GL_TRANSPOSE_MODELVIEW_MATRIX_ARB :: GLenum
- pattern GL_TRANSPOSE_PROJECTION_MATRIX_ARB :: GLenum
- pattern GL_TRANSPOSE_TEXTURE_MATRIX_ARB :: GLenum
- glLoadTransposeMatrixdARB :: MonadIO m => Ptr GLdouble -> m ()
- glLoadTransposeMatrixfARB :: MonadIO m => Ptr GLfloat -> m ()
- glMultTransposeMatrixdARB :: MonadIO m => Ptr GLdouble -> m ()
- glMultTransposeMatrixfARB :: MonadIO m => Ptr GLfloat -> m ()

# Extension Support

glGetARBTransposeMatrix :: MonadIO m => m Bool Source #

Is the ARB_transpose_matrix extension supported?

gl_ARB_transpose_matrix :: Bool Source #

Is the ARB_transpose_matrix extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBTransposeMatrix` in those cases instead.

# Enums

pattern GL_TRANSPOSE_COLOR_MATRIX_ARB :: GLenum Source #

pattern GL_TRANSPOSE_MODELVIEW_MATRIX_ARB :: GLenum Source #

pattern GL_TRANSPOSE_PROJECTION_MATRIX_ARB :: GLenum Source #

pattern GL_TRANSPOSE_TEXTURE_MATRIX_ARB :: GLenum Source #

# Functions

glLoadTransposeMatrixdARB Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

This command is an alias for `glLoadTransposeMatrixd`.

glLoadTransposeMatrixfARB Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

This command is an alias for `glLoadTransposeMatrixf`.

glMultTransposeMatrixdARB Source #

Arguments

:: MonadIO m |
=> Ptr GLdouble | `m` pointing to `16` elements of type `GLdouble`.
-> m () |

This command is an alias for `glMultTransposeMatrixd`.

glMultTransposeMatrixfARB Source #

Arguments

:: MonadIO m |
=> Ptr GLfloat | `m` pointing to `16` elements of type `GLfloat`.
-> m () |

This command is an alias for `glMultTransposeMatrixf`.